package com.ruoyi.jjh.ent.entity.request;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 政务端首页智能提醒查询请求体
 * @author du
 * @since 2024/8/2 10:36
 */
@Data
public class JRemindChiefAllRequest {

    /**
     * 智能提醒内容
     */
    @ApiModelProperty("智能提醒内容")
    private String content;

    /**
     * 项目id
     */
    @ApiModelProperty("项目id")
    private Long projectId;

    /**
     * 用户id
     */
    @ApiModelProperty("用户id")
    private Long userId;
}
