package com.ruoyi.jjh.ent.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.jjh.ent.entity.JEnterpriseContact;
import com.ruoyi.jjh.ent.entity.request.JEnterpriseContactRequest;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 企业联系人（j_enterprise_contact）表数据层
 *
 * @author du
 * @since 2024/5/6 13:57
 */
public interface JEnterpriseContactMapper extends BaseMapper<JEnterpriseContact> {


    /**
     * 分页查询所有数据
     *
     * @param page                      分页对象
     * @param jEnterpriseContactRequest 查询实体
     * @return 所有数据
     */
    Page<JEnterpriseContact> page(Page<JEnterpriseContact> page, @Param("req") JEnterpriseContactRequest jEnterpriseContactRequest);


    /**
     * 分页查询所有数据
     *
     * @param jEnterpriseContactRequest 查询实体
     * @return 所有数据
     */
    List<JEnterpriseContact> page(@Param("req") JEnterpriseContactRequest jEnterpriseContactRequest);

}
