package com.ruoyi.jjh.declaration.component;

/**
 * 企业或者政务自定义定时提醒组件
 *
 * @author du
 * @since 2024/7/19 9:50
 */
public interface TimingRemindService {

    /**
     * 企业端要定时新增数据，并且还要发短信
     */
    void enterpriseTiming(String t, Long id);

    /**
     * 根据企业名称和企业信用代码获取该企业的常用联系人并且发送短信
     */
    void getContact(String code, String s);

    /**
     * 政务端要定时新增数据，并且还要发短信
     */
    void chiefTiming(String t, Long id, String pid);
}
