package com.ruoyi.jjh.declaration.service;

import com.ruoyi.jjh.declaration.entity.request.EnterpriseFileResquest;
import com.ruoyi.jjh.declaration.entity.request.EnterpriseFillResquest;

import java.util.Map;

/**
 * 企业填报业务层
 *
 * @author du
 * @since 2024/7/24 13:52
 */
public interface IBmsEnterpriseFillService {


    /**
     * 企业填报
     */
    Boolean add(EnterpriseFillResquest enterpriseFillResquest);

    /**
     * 解析模板json
     */
    Map<String, String> parseJson(String json);

    /**
     * 初审驳回之后企业重新填报的接口
     */
    void update(EnterpriseFillResquest enterpriseFillResquest);


    /**
     * 上传文件
     */
    void uploadFile(EnterpriseFileResquest req);
}
