package com.ruoyi.jjh.ent.entity.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 服务业企业名单请求体
 *
 * @author du
 * @since 2024/7/26 15:45
 */
@Data
@ApiModel("服务业企业名单请求体")
public class JServicesListRequest {

    /**
     * 企业名称
     */
    @ApiModelProperty("企业名称")
    private String qymc;

    /**
     * 统一社会信用代码
     */
    @ApiModelProperty("统一社会信用代码")
    private String tyshxydm;

    /**
     * 1.生产性服务业 2生活性服务业 3规上服务业 4限上批零住餐
     */
    @ApiModelProperty("1.生产性服务业 2生活性服务业 3规上服务业 4限上批零住餐")
    private String servicesType;
}
