package com.ruoyi.jjh.ent.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.jjh.ent.entity.JHeadQuartersRevenue;
import com.ruoyi.jjh.ent.entity.request.JHeadQuartersRevenueRequest;
import com.ruoyi.jjh.ent.entity.response.JHqCountResponse;

/**
 * 总部企业（j_headquarters_revenue）表业务层
 *
 * @author du
 * @since 2024/7/29 13:11
 */
public interface JHeadQuartersRevenueService extends IService<JHeadQuartersRevenue> {

    /**
     * 分页查询总部企业
     *
     * @param page 分页参数
     * @param js   请求参数
     * @return 数据
     */
    Page<JHeadQuartersRevenue> page(Page<JHeadQuartersRevenue> page, JHeadQuartersRevenueRequest js);

    /**
     * 查询总部企业数量
     */
    JHqCountResponse selectZbCount();
}
